Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStatusTipEvent

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.core.QEvent
                      com.trolltech.qt.gui.QStatusTipEvent

All Implemented Interfaces:
  QtJambiInterface

    public class QStatusTipEvent

extends QEvent

The `QStatusTipEvent` class provides an event that is used to show messages in a status bar. Status tips can be set on a widget using the `QWidget::setStatusTip()` function. They are shown in the status bar when the mouse cursor enters the widget. For example:

        public main()
        {

            QWidget myWidget = new QWidget();
            myWidget.setStatusTip(tr("This is my widget."));

            setCentralWidget(myWidget);
        ...
        }

Status tips can also be set on actions using the `QAction::setStatusTip()` function:

        public main()
        {

            QMenu fileMenu = menuBar().addMenu(tr("File"));

            QAction newAct = new QAction(tr("New"), this);
            newAct.setStatusTip(tr("Create a new file."));
            fileMenu.addAction(newAct);
        ...
        }

Finally, status tips are supported for the item view classes through the `Qt::StatusTipRole` enum value.

See also:
  `QStatusBar`, `QHelpEvent`, and `QWhatsThisClickedEvent`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.core.QEvent
`QEvent.Type`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QStatusTipEvent(java.lang.String tip)` Constructs a status tip event with the text specified by `tip`.

Method Summary
`java.lang.String` | `tip()` Returns the message to show in the status bar.
`java.lang.String` | `toString()` Returns a string representation of the `this QStatusTipEvent`.

Methods inherited from class com.trolltech.qt.core.QEvent
`accept, ignore, isAccepted, registerEventType, registerEventType, setAccepted, setT, spontaneous, t, type`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStatusTipEvent

    public QStatusTipEvent(java.lang.String tip)

  Constructs a status tip event with the text specified by `tip`.

See also:
  `tip()`.

Method Detail

### tip

    public final java.lang.String tip()

  Returns the message to show in the status bar.

See also:
  `QStatusBar::showMessage()`.

### toString

    public java.lang.String toString()

  Returns a string representation of the `this QStatusTipEvent`.

  Overrides:
    `toString` in class `QEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD